Greetings,
My company is in the middle of a project where an external system needs to be connected with the Zimbra LDAP. The other system is running Java 1.6 and we have decided to transmit information to Zimbra Server with the use of Java Libraries that come with the installation. However, it seems that there is a version compatibility issue, as the jar files are compiled with JDK 1.7 and thus the error "Unsupported major.minor version 51.0" upon run of compiled classes. Can I find those libraries

zimbrasoap.jar
zimbracommon.jar
zimbrastore.jar
etc.

compiled under JDK 1.6 anywhere? If not, is there any repository with the latest source code so that I will compile the java files with JDK 1.6 manually?

Thank you in advance,
John